Package io.trino.jdbc

# Class TrinoDriverUri

java.lang.Object
io.trino.client.uri.TrinoUri
io.trino.jdbc.TrinoDriverUri

public final class TrinoDriverUri extends io.trino.client.uri.TrinoUri
Parses and extracts parameters from a Trino JDBC URL.

## Nested Class Summary

### Nested classes/interfaces inherited from class io.trino.client.uri.TrinoUri

`io.trino.client.uri.TrinoUri.Builder`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`acceptsURL(String url)`
`static TrinoDriverUri`
`create(String url, Properties properties)`

### Methods inherited from class io.trino.client.uri.TrinoUri

`builder, checkRequired, create, getApplicationNamePrefix, getAssumeNullCatalogMeansCurrentCatalog, getCatalog, getClientInfo, getClientTags, getExplicitPrepare, getExtraCredentials, getHttpUri, getProperties, getPropertyInfo, getRequiredUser, getRoles, getSchema, getSessionProperties, getSessionUser, getSetupSsl, getSource, getTimeZone, getTraceToken, getUri, getUser, hasPassword, isAssumeLiteralNamesInMetadataCallsForNonConformingClients, isAssumeLiteralUnderscoreInMetadataCallsForNonConformingClients, isCompressionDisabled, setRedirectHandler, setupClient`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### create

public static TrinoDriverUri create(String url, Properties properties) throws SQLException

Throws:
  `SQLException`

### acceptsURL

public static boolean acceptsURL(String url)